System requirements

Support for third-party products

To receive full support for a BMC product, you must have that product installed in a supported environment, as specified in the BMC product documentation. If a third-party vendor cancels support for one of its products (such as an operating system or subsystem), and that third-party product integrates or interacts with the BMC product you have licensed, you must upgrade to a supported version of that third-party product before BMC Customer Support can provide you with support for the affected BMC product. For further information, see BMC's product support policy.

Before installing PATROL for JBoss Application Server, verify that the target computer meets the following installation requirements:

Note

Any information for UNIX, unless otherwise specified, applies to any supported versions of Linux.

Operating system and JBoss support

Resource

Minimum requirements

Comments

Operating system

  • AIX 6.1 64-bit
  • AIX 7.1 64-bit
  • HP-UX 11iV2 PA-RISC 32-bit
  • HP-UX 11iV2 PA-RISC 64-bit
  • HP-UX 11iV3 PA-RISC 32-bit
  • HP-UX 11iV3 PA-RISC 64-bit
  • HP-UX 11iV2 Itanium
  • HP-UX 11iV3 Itanium
  • Red Hat Enterprise Linux ES/AS 5.x (x86, x86-64)
  • Red Hat Enterprise Linux ES/AS 6.x (x86, x86-64)
  • SUSE Linux Enterprise Server 10 (x86, x86-64)
  • SUSE Linux Enterprise Server 11 (x86, x86-64)
  • Oracle Enterprise Linux 6.x (x86-64)
  • Oracle Solaris 5.9 and later, 64-bit, SPARC
  • Oracle Solaris 5.10 and later (x86)
  • Solaris 5.10 SPARC (x86)
  • Microsoft Windows Server 2012 (64-bit)

None

JBoss Application Server

  • JBoss Application Server 5.x, 
  • JBoss Application Server 6.0.x 
  • JBoss Application Server 7.1.x
  • JBoss Enterprise Application Platform 5.1
  • JBoss Enterprise Application Platform 6.x
  • JBoss Enterprise Application Platform 7.x
  • WildFly 8, 9 and 10

None

PATROL products

PATROL Agent 9.6 or later


Central Monitoring Administration 

Memory

1 GB or more

None

Processor speed

1 GHz or faster

None

Java Runtime Environment (JRE)

Supports any of the following Java versions:

  • Oracle Java 8
  • OpenJDK 8

Note: For the latest announcement on BMC’s Java Support policies for TrueSight monitoring solutions, see Java support for TrueSight monitoring solutions



Note

BMC PATROL products are certified for use on supported operating system versions. BMC does not explicitly test for OS patches/updates that are released after a BMC product is released.

BMC PATROL products should work fine with minor updates to these supported operating systems. For assistance, please contact BMC Customer Support.

Related topic

Virtual machine support limitation

Was this page helpful? Yes No Submitting... Thank you

Comments